SpecializationUtil.registerSpecialization("AutoCombine", "AutoCombine", g_currentModDirectory.."AutoCombine.lua")

AutoCombine_Register = {};

function AutoCombine_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		
		print("--- loading AutoCombine v1.0 - specialization for AutoCombine by Mogli");
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
			   local allowInsertion = false;

				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("aiCombine") then
						allowInsertion = true;
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.AutoCombine", _name)) ~= nil then
								allowInsertion = false;
								print(tostring(v.name)..": Specialization AutoCombine is present! AutoCombine was not inserted!");
							end;													
							if rawget(SpecializationUtil.specializations, string.format("%s.APCombine", _name)) ~= nil then
								allowInsertion = false;
								print(tostring(v.name)..": Specialization APCombine is present! AutoCombine was not inserted!");
							end;													
						end;
					end;
				end;
				
				if allowInsertion then
					for i = 1, table.maxn(v.specializations) do
						local vs = v.specializations[i];
						if vs ~= nil and vs == SpecializationUtil.getSpecialization("steerable") then
							print("adding AutoCombine to:"..tostring(v.name));
							table.insert(v.specializations, SpecializationUtil.getSpecialization("AutoCombine"));
						end;						

						vs.AC_COMBINE_TXT_START = g_i18n:getText(                         "AC_COMBINE_TXT_START");
						vs.AC_COMBINE_TXT_STOP = g_i18n:getText(                          "AC_COMBINE_TXT_STOP");
						vs.AC_COMBINE_TXT_WORKWIDTH = g_i18n:getText(                     "AC_COMBINE_TXT_WORKWIDTH");
						vs.AC_COMBINE_TXT_ACTIVESIDELEFT = g_i18n:getText(                "AC_COMBINE_TXT_ACTIVESIDELEFT");
						vs.AC_COMBINE_TXT_ACTIVESIDERIGHT = g_i18n:getText(               "AC_COMBINE_TXT_ACTIVESIDERIGHT");
						vs.AC_COMBINE_WAITMODE_ON = g_i18n:getText(                       "AC_COMBINE_WAITMODE_ON");
						vs.AC_COMBINE_WAITMODE_OFF = g_i18n:getText(                      "AC_COMBINE_WAITMODE_OFF");
						--vs.AC_COMBINE_WAITMODE_ON_EXPLANATION = g_i18n:getText(           "AC_COMBINE_WAITMODE_ON_EXPLANATION");
						--vs.AC_COMBINE_WAITMODE_OFF_EXPLANATION = g_i18n:getText(          "AC_COMBINE_WAITMODE_OFF_EXPLANATION");
						vs.AC_COMBINE_COLLISIONTRIGGERMODE_ON = g_i18n:getText(           "AC_COMBINE_COLLISIONTRIGGERMODE_ON");
						vs.AC_COMBINE_COLLISIONTRIGGERMODE_OFF = g_i18n:getText(          "AC_COMBINE_COLLISIONTRIGGERMODE_OFF");
						--vs.AC_COMBINE_COLLISIONTRIGGER_ON_EXPLANATION = g_i18n:getText(   "AC_COMBINE_COLLISIONTRIGGER_ON_EXPLANATION");
						--vs.AC_COMBINE_COLLISIONTRIGGER_OFF_EXPLANATION = g_i18n:getText(  "AC_COMBINE_COLLISIONTRIGGER_OFF_EXPLANATION");
						vs.AC_COMBINE_TEXTHELPPANELOFF = g_i18n:getText(                  "AC_COMBINE_TEXTHELPPANELOFF");
						vs.AC_COMBINE_TEXTHELPPANELON = g_i18n:getText(                   "AC_COMBINE_TEXTHELPPANELON");
						vs.AC_COMBINE_STARTSTOP = g_i18n:getText(                         "AC_COMBINE_STARTSTOP");
					end;
				end;
			end;	
		end;
	end;
end;

function AutoCombine_Register:deleteMap()
  
end;

function AutoCombine_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function AutoCombine_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function AutoCombine_Register:update(dt)
	
end;

function AutoCombine_Register:draw()
  
end;

addModEventListener(AutoCombine_Register);